POST api/mediwaveprogramstepapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediWaveProgramStepViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

Range: inclusive between 0 and ∞

id

globally unique identifier

None.

program_id

globally unique identifier

Required

mediwave_program_step_type_id

globally unique identifier

Required

name

string

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "5f19f28c-05ee-4e0c-bee4-3715d0773287",
  "program_id": "a7b38715-d686-4479-a13a-1e142f394e25",
  "mediwave_program_step_type_id": "ef38c4ef-ef6d-40e2-a0eb-f027f06daa15",
  "name": "sample string 6"
}

application/xml, text/xml

Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <id>5f19f28c-05ee-4e0c-bee4-3715d0773287</id>
  <mediwave_program_step_type_id>ef38c4ef-ef6d-40e2-a0eb-f027f06daa15</mediwave_program_step_type_id>
  <name>sample string 6</name>
  <program_id>a7b38715-d686-4479-a13a-1e142f394e25</program_id>
</mediwave_program_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"a942d2a3-f721-48ab-b111-07026272ecbd"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a942d2a3-f721-48ab-b111-07026272ecbd</guid>